classification
Title: Codecs docs should explain that the bytes-bytes shorthand aliases are missing
Type: Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, ezio.melotti, ncoghlan, r.david.murray
Priority: normal Keywords: easy

Created on 2012-07-12 11:04 by ncoghlan, last changed 2014-03-29 20:41 by ncoghlan. This issue is now closed.

Messages (5)
msg165295 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2012-07-12 11:04
In writing a post looking at a potentially different way of handling codec pipelines that is source compatible across both Python 2 and 3, I noticed that the bytes-bytes codec aliases are all missing but are still listed in the documentation as being supported:

base64_codec 	base64, base-64
bz2_codec 	bz2
hex_codec 	hex

quopri_codec 	quopri, quoted-printable, quotedprintable
uu_codec 	uu
zlib_codec 	zip, zlib

The canonical names (i.e. *_codec) all work as expected, though.
msg165302 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-07-12 14:28
Don't you have to resolve issue 7475 before you can add them, though?
msg165434 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2012-07-14 07:19
While you're right about that, the docs shouldn't be claiming they're available as long as that is the case.

Updated the issue to make it clear this is a problem with the current docs and the change in the nature of the encode() and decode() methods for Python 3.
msg185978 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-04-03 23:25
Should they just be removed from the table then?
msg215143 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2014-03-29 20:41
The aliases are back in 3.4+
History
Date User Action Args
2014-03-29 20:41:02ncoghlansetstatus: open -> closed
type: behavior ->
messages: + msg215143

resolution: out of date
stage: needs patch -> resolved
2013-04-03 23:25:57ezio.melottisetmessages: + msg185978
versions: + Python 3.4, - Python 3.2
2013-03-30 02:44:53eric.araujosetkeywords: + easy
2012-07-14 07:19:11ncoghlansetassignee: docs@python
components: + Documentation
title: Missing codec aliases for bytes-bytes codecs -> Codecs docs should explain that the bytes-bytes shorthand aliases are missing
nosy: + docs@python

messages: + msg165434
stage: test needed -> needs patch
2012-07-13 19:30:01ezio.melottisetnosy: + ezio.melotti
2012-07-12 14:28:02r.david.murraysetnosy: + r.david.murray
messages: + msg165302
2012-07-12 11:04:34ncoghlancreate